> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifically.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct File Upload

> Upload files directly using multipart/form-data

Upload a file directly from your local system using multipart/form-data.

<Note>
  **Upload limits:**

  * **Free users:** 1 GB per day, up to 5 uploads per minute.
  * **Paid users** (topped up \$5 or more): 10 GB per day, up to 50 uploads per minute.
</Note>

## Request

```bash theme={null}
curl --location --request PUT 'https://files.unifically.com/upload' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--form 'file=@"/path/to/your/file.png"'
```

## Parameters

<ParamField path="file" type="File" required>
  The file to upload. Use `@` prefix followed by the file path
</ParamField>

## Example

```bash theme={null}
curl --location --request PUT 'https://files.unifically.com/upload' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--form 'file=@"/Users/john/Documents/image.png"'
```

## Response

### Success Response

**Status Code:** `200 OK`

```json theme={null}
{
  "success": true,
  "file_url": "https://files.unifically.com/image/2b847255-e028-4cf7-a2aa-c638f3e15cbc.webp"
}
```

<ResponseField name="success" type="boolean">
  Whether the upload was successful
</ResponseField>

<ResponseField name="file_url" type="string">
  URL to access the uploaded file
</ResponseField>

## Use Cases

* Uploading files from local file system
* Direct file uploads from applications
* Best for: Command-line uploads, server-to-server transfers
